#ifndef ADD_NSEVENTS_H
#define ADD_NSEVENTS_H

/*NSEventType

These constants represent various kinds of events. They are returned by type and are used as the first argument to the methods enterExitEventWithType:location:modifierFlags:timestamp:windowNumber:context:eventNumber:trackingNumber:userData:, keyEventWithType:location:modifierFlags:timestamp:windowNumber:context:characters:charactersIgnoringModifiers:isARepeat:keyCode:, mouseEventWithType:location:modifierFlags:timestamp:windowNumber:context:eventNumber:clickCount:pressure:, and otherEventWithType:location:modifierFlags:timestamp:windowNumber:context:subtype:data1:data2:.

typedef enum _NSEventType {
   NSLeftMouseDown      = 1,
   NSLeftMouseUp        = 2,
   NSRightMouseDown     = 3,
   NSRightMouseUp       = 4,
   NSMouseMoved         = 5,
   NSLeftMouseDragged   = 6,
   NSRightMouseDragged  = 7,
   NSMouseEntered       = 8,
   NSMouseExited        = 9,
   NSKeyDown            = 10,
   NSKeyUp              = 11,
   NSFlagsChanged       = 12,
   NSAppKitDefined      = 13,
   NSSystemDefined      = 14,
   NSApplicationDefined = 15,
   NSPeriodic           = 16,
   NSCursorUpdate       = 17,
   NSScrollWheel        = 22,
   NSTabletPoint        = 23,
   NSTabletProximity    = 24,
   NSOtherMouseDown     = 25,
   NSOtherMouseUp       = 26,
   NSOtherMouseDragged  = 27
} NSEventType;
Constants
NSLeftMouseDown

See “Mouse Events”. 

Available in Mac OS X v10.0 and later.
NSLeftMouseUp

See “Mouse Events”.

Available in Mac OS X v10.0 and later.
NSRightMouseDown

See “Mouse Events”.

Available in Mac OS X v10.0 and later.
NSRightMouseUp

See “Mouse Events”.

Available in Mac OS X v10.0 and later.
NSOtherMouseDown

See “Mouse Events”.

Available in Mac OS X v10.1 and later.
NSOtherMouseUp

See “Mouse Events”.

Available in Mac OS X v10.1 and later.
NSMouseMoved

See “Mouse Events”.

Available in Mac OS X v10.0 and later.
NSLeftMouseDragged

See “Mouse Events”.

Available in Mac OS X v10.0 and later.
NSRightMouseDragged

See “Mouse Events”.

Available in Mac OS X v10.0 and later.
NSOtherMouseDragged

See “Mouse Events”.

Available in Mac OS X v10.1 and later.
NSMouseEntered

See “Tracking-Rectangle and Cursor-Update Events”.

Available in Mac OS X v10.0 and later.
NSMouseExited

See “Tracking-Rectangle and Cursor-Update Events”.

Available in Mac OS X v10.0 and later.
NSCursorUpdate

See “Tracking-Rectangle and Cursor-Update Events”.

Available in Mac OS X v10.0 and later.
NSKeyDown

See “Keyboard Events”. 

Available in Mac OS X v10.0 and later.
NSKeyUp

See “Keyboard Events”.

Available in Mac OS X v10.0 and later.
NSFlagsChanged

See “Keyboard Events”.

Available in Mac OS X v10.0 and later.
NSAppKitDefined

See “Other Events”.

Available in Mac OS X v10.0 and later.
NSSystemDefined

See “Other Events”.

Available in Mac OS X v10.0 and later.
NSApplicationDefined

See “Other Events”.

Available in Mac OS X v10.0 and later.
NSPeriodic

See “Periodic Events”.

Available in Mac OS X v10.0 and later.
NSScrollWheel

See “Mouse Events”. 

Available in Mac OS X v10.0 and later.
NSTabletPoint

An event representing the current state of a tablet pointing device, including its location, pressure, and tilt.

Available in Mac OS X v10.4 and later.
NSTabletProximity

An event representing the proximity of a pointing device to its tablet.

Available in Mac OS X v10.4 and later.
Declared In
NSEvent.h*/

enum {
//   NSLeftMouseDown      = 1,
//   NSLeftMouseUp        = 2,
//   NSRightMouseDown     = 3,
//   NSRightMouseUp       = 4,
//   NSMouseMoved         = 5,
//   NSLeftMouseDragged   = 6,
//   NSRightMouseDragged  = 7,
//   NSMouseEntered       = 8,
//   NSMouseExited        = 9,
//   NSKeyDown            = 10,
//   NSKeyUp              = 11,
//   NSFlagsChanged       = 12,
//   NSAppKitDefined      = 13,
//   NSSystemDefined      = 14,
//   NSApplicationDefined = 15,
//   NSPeriodic           = 16,
//   NSCursorUpdate       = 17,
//   NSScrollWheel        = 22,
   NSTabletPoint        = 23,
   NSTabletProximity    = 24,
//   NSOtherMouseDown     = 25,
//   NSOtherMouseUp       = 26,
//   NSOtherMouseDragged  = 27
};// NSEventType;

#endif